Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-4950

Errors in master pom.xml

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.8.14
    • Fix Version/s: 1.10.1, 1.11.0
    • Component/s: Build / Packaging
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None
    • Tracking Code:
      ORG

      Description

      should point to issue.opennms.org

      <issueManagement>
          <system>Bugzilla</system>
          <url>http://bugs.opennms.org/</url>
        </issueManagement>
      

      eclipse preferences in svn are outdated, especially

      org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
      org.eclipse.jdt.core.compiler.compliance=1.5
      org.eclipse.jdt.core.compiler.source=1.5
      
      <plugin>
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-eclipse-plugin</artifactId>
             <configuration>
               <additionalConfig>
                 <file>
                   <name>.settings/org.eclipse.jdt.core.prefs</name>
                   <url>https://opennms.svn.sourceforge.net/svnroot/opennms/opennms/trunk/src/main/eclipse/org.eclipse.jdt.core.prefs</url>
                 </file>
               </additionalConfig>
             </configuration>
           </plugin>
      

        Attachments

          Activity

            People

            • Assignee:
              ranger Benjamin Reed
              Reporter:
              thargor Simon Walter
            • Votes:
              1 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: